System.ServiceModel 4.0.0.0 System.Attribute System.ServiceModel.Description.IContractBehavior System.ServiceModel.Description.IContractBehaviorAttribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Interface | System.AttributeTargets.All, AllowMultiple=true, Inherited=false)

Use the to instruct indigo1 to confirm that the binding provides the features required by the service or client implementation. If a attribute is detected when a service description is loaded from an application configuration file or built programmatically in code, indigo2 validates the configured binding and supports all the features that the attribute specifies. For example, your service may require the bindings to support queuing. Using allows indigo2 to confirm that the following requirements are met:

The property specifies the queuing requirements that a binding must meet.

The property indicates whether the binding must support ordered messaging.

The property indicates to which type the requirements apply.

The attribute is applied to a class, which can implement any number of service contract interfaces. can be applied to all the contracts the class implements or to only one of them. The attribute can be applied to a class more than once.

Specifies the feature requirements that bindings must provide to the service or client implementation.

- Constructor
  4.0.0.0

  The defaults are:

  The property is set to .

  The property is set to false.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.QueuedDeliveryRequirementsMode To be added.

  The instructs indigo2 to confirm that the binding supports queued delivery. The value instructs indigo2 to confirm that the binding does not support queued delivery.

  Specifies whether the binding for a service must support queued contracts.

- Property
  4.0.0.0
  System.Boolean To be added.

  Setting the property to false instructs indigo2 to perform no validation.

  Specifies whether the binding must support ordered messages.

- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Implements the method to attach binding parameters correctly.

  The contract description. The service endpoint for the contract. The binding parameters.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Implementation of the method for client support.

  The contract description to which the behavior is attached. The endpoint for the contract. The client runtime on which the behavior operates.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Implementation of the method that enables service support.

  The contract description to which the behavior is attached. The endpoint for the contract. The dispatch runtime that supports the endpoint.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Implements the method to enable validation support.

  The contract description. The endpoint to be validated.
- Property
  4.0.0.0
  System.Type To be added.

  A service class can implement any number of service contract interfaces. Use the property to validate that endpoints with the have bindings that support the requirements. This attribute can be used any number of times on the same class.

  Gets or sets the type to which it applies.